
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>html5中 media（播放器）的api使用指南 / iVAN</title>

    <meta name="description" content="html5中 media（播放器）的api使用指南 代码如下: &lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;HTML Audio API&lt;/title&gt; &lt;link rel=&quot;stylesheet&quot; href=&quot;./style/main.css&quot; /&gt; &lt;script src=&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">html5中 media（播放器）的api使用指南</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>代码如下:<br />
<br />
&lt;!doctype html&gt;<br />
&lt;html  lang="en"&gt;<br />
&lt;head&gt;<br />
&lt;meta  charset="UTF-8"&gt;<br />
&lt;title&gt;HTML Audio API&lt;/title&gt;<br />
&lt;link  rel="stylesheet" href="./style/main.css" /&gt;<br />
&lt;script  src="./script/audio-controls.js"&gt;&lt;/script&gt;<br />
&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;header&gt;<br />
&lt;h1&gt;HTML5  Audio API&lt;/h1&gt;<br />
&lt;p&gt;HTML5 Audio API demo by &lt;a href="&lt;a  href="http://github.com/LearnShare"&gt;http://github.com/LearnShare&lt;/a&gt;"  target="_blank"&gt;LearnShare&lt;/a&gt;.&lt;/p&gt;<br />
&lt;p&gt;<br />
Last update  @2013-04-23 20:40:00<br />
+ add info table<br />
update @2013-04-22 14:54:00<br />
+ add  DOM events<br />
update @2013-04-22 12:47:00<br />
+ add getCurrentSrc  button<br />
&lt;/p&gt;<br />
&lt;p&gt;<br />
View code on &lt;a href="&lt;a  href="http://github.com/LearnShare/LearnShare.github.io/tree/master/labs/audio/"&gt;<br />
http://github.com/LearnShare/LearnShare.github.io/tree/master/labs/audio/&lt;/a&gt;"  target="_blank"&gt;LearnShare.github.io&lt;/a&gt;. <br />
API reference: &lt;a  href="&lt;a  href="https://developer.mozilla.org/zh-CN/docs/DOM/HTMLMediaElement"&gt;https://developer.mozilla.org/zh-CN/docs/DOM/HTMLMediaElement&lt;/a&gt;"  target="_blank"&gt;HTMLMediaElement&lt;/a&gt; and &lt;a href="&lt;a  href="http://www.w3schools.com/tags/ref_av_dom.asp"&gt;http://www.w3schools.com/tags/ref_av_dom.asp&lt;/a&gt;"  target="_blank"&gt;Audio/Video DOM  References&lt;/a&gt;<br />
&lt;/p&gt;<br />
&lt;/header&gt;<br />
&lt;article&gt;<br />
&lt;section&gt;<br />
&lt;h2&gt;Audio  Element&lt;/h2&gt;<br />
&lt;audio id="audio" src="./media/music1.mp3"  controls="controls"&gt;&lt;/audio&gt;<br />
&lt;p&gt;Open the  &lt;strong&gt;developer tool&lt;/strong&gt; to view console  logs.&lt;/p&gt;<br />
&lt;/section&gt;<br />
&lt;section&gt;<br />
&lt;h2&gt;Controls&lt;/h2&gt;<br />
&lt;button  id="play"&gt;play&lt;/button&gt;<br />
&lt;button  id="pause"&gt;pause&lt;/button&gt;<br />
&lt;button  id="get_paused"&gt;getPaused&lt;/button&gt;<br />
&lt;button  id="get_ended"&gt;getEnded&lt;/button&gt;</p>
<p>&lt;button  id="volume_down"&gt;volume-&lt;/button&gt;<br />
&lt;button  id="volume_up"&gt;volume+&lt;/button&gt;<br />
&lt;button  id="get_volume"&gt;getVolume&lt;/button&gt;</p>
<p>&lt;button  id="get_src"&gt;getSrc&lt;/button&gt;<br />
&lt;button  id="play_music1"&gt;playMusic1&lt;/button&gt;<br />
&lt;button  id="play_music2"&gt;playMusic2&lt;/button&gt;<br />
&lt;button  id="remove_music"&gt;removeMusic&lt;/button&gt;<br />
&lt;button  id="get_current_src"&gt;getCurrentSrc&lt;/button&gt;</p>
<p>&lt;button  id="get_initial_time"&gt;getInitialTime&lt;/button&gt;<br />
&lt;button  id="get_duration"&gt;getDuration&lt;/button&gt;<br />
&lt;button  id="get_seeking"&gt;getSeeking&lt;/button&gt;<br />
&lt;button  id="jump_to"&gt;jumpTo_30s&lt;/button&gt;<br />
&lt;button  id="get_current_time"&gt;getCurrentTime&lt;/button&gt;<br />
&lt;button  id="get_played"&gt;getPlayed&lt;/button&gt;</p>
<p>&lt;button  id="autoplay_on"&gt;autoplay_on&lt;/button&gt;<br />
&lt;button  id="autoplay_off"&gt;autoplay_off&lt;/button&gt;<br />
&lt;button  id="get_autoplay"&gt;getAutoplay&lt;/button&gt;</p>
<p>&lt;button  id="controls_show"&gt;controls_show&lt;/button&gt;<br />
&lt;button  id="controls_hide"&gt;controls_hide&lt;/button&gt;<br />
&lt;button  id="get_controls"&gt;getControls&lt;/button&gt;</p>
<p>&lt;button  id="loop_on"&gt;loop_on&lt;/button&gt;<br />
&lt;button  id="loop_off"&gt;loop_off&lt;/button&gt;<br />
&lt;button  id="get_loop"&gt;getLoop&lt;/button&gt;</p>
<p>&lt;button  id="preload_metadata"&gt;preload_metadata&lt;/button&gt;<br />
&lt;button  id="get_preload"&gt;getPreload&lt;/button&gt;</p>
<p>&lt;button  id="get_default_muted"&gt;getDefaultMuted&lt;/button&gt;<br />
&lt;button  id="mute"&gt;mute&lt;/button&gt;<br />
&lt;button  id="unmute"&gt;unmute&lt;/button&gt;<br />
&lt;button  id="get_muted"&gt;getMuted&lt;/button&gt;</p>
<p>&lt;button  id="get_default_playback_rate"&gt;getDefaultPlaybackRate&lt;/button&gt;<br />
&lt;button  id="playback_rate_down"&gt;playbackRate-&lt;/button&gt;<br />
&lt;button  id="playback_rate_up"&gt;playbackRate+&lt;/button&gt;<br />
&lt;button  id="get_playback_rate"&gt;getPlaybackRate&lt;/button&gt;</p>
<p>&lt;button  id="get_network_state"&gt;getNetworkState&lt;/button&gt;<br />
&lt;button  id="get_ready_state"&gt;getReadyState&lt;/button&gt;<br />
&lt;button  id="get_buffered"&gt;getBuffered&lt;/button&gt;<br />
&lt;button  id="get_seekable"&gt;getSeekable&lt;/button&gt;<br />
&lt;/section&gt;<br />
&lt;/article&gt;<br />
&lt;aside&gt;<br />
&lt;section&gt;<br />
&lt;h3&gt;Player  Attrs&lt;/h3&gt;<br />
&lt;table&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;autoplay:&lt;/td&gt;<br />
&lt;td  id="autoplay"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;controls:&lt;/td&gt;<br />
&lt;td  id="controls"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;defaultMuted:&lt;/td&gt;<br />
&lt;td  id="default_muted"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;defaultPlaybackRate:&lt;/td&gt;<br />
&lt;td  id="default_playback_rate"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;loop:&lt;/td&gt;<br />
&lt;td  id="loop"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;preload:&lt;/td&gt;<br />
&lt;td  id="preload"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;/table&gt;<br />
&lt;/section&gt;<br />
&lt;section&gt;<br />
&lt;h3&gt;Player  Info&lt;/h3&gt;<br />
&lt;table&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;src:&lt;/td&gt;<br />
&lt;td  id="src"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;currentSrc:&lt;/td&gt;<br />
&lt;td  id="current_src"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;duration:&lt;/td&gt;<br />
&lt;td  id="duration"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;currentTime:&lt;/td&gt;<br />
&lt;td  id="current_time"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;ended:&lt;/td&gt;<br />
&lt;td  id="ended"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;paused:&lt;/td&gt;<br />
&lt;td  id="paused"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;muted:&lt;/td&gt;<br />
&lt;td  id="muted"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;volume:&lt;/td&gt;<br />
&lt;td  id="volume"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;playbackRate:&lt;/td&gt;<br />
&lt;td  id="playback_rate"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;/table&gt;<br />
&lt;/section&gt;<br />
&lt;section&gt;<br />
&lt;h3&gt;Play  status&lt;/h3&gt;<br />
&lt;table&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;networkState:&lt;/td&gt;<br />
&lt;td  id="network_state"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;readyState:&lt;/td&gt;<br />
&lt;td  id="ready_state"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;buffered:&lt;/td&gt;<br />
&lt;td  id="buffered"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;seekable:&lt;/td&gt;<br />
&lt;td  id="seekable"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;played:&lt;/td&gt;<br />
&lt;td  id="played"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;error:&lt;/td&gt;<br />
&lt;td  id="error"&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;/table&gt;<br />
&lt;/section&gt;<br />
&lt;/aside&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;<br />
<br /> </p>
<p>audio-controls.js</p>
<p> </p>
<p>代码如下:<br />
<br />
window.onload=function(){<br />
// get autio  element<br />
var audio=document.getElementById("audio");<br />
//  play()<br />
document.getElementById("play").onclick=function(){<br />
audio.play();<br />
console.log("play");<br />
};<br />
//  pause()<br />
document.getElementById("pause").onclick=function(){<br />
audio.pause();<br />
console.log("pause");<br />
};<br />
//  get  paused<br />
document.getElementById("get_paused").onclick=function(){<br />
console.log("audio.paused:  "+audio.paused);<br />
};<br />
// get  ended<br />
document.getElementById("get_ended").onclick=function(){<br />
console.log("audio.ended:  "+audio.ended);<br />
};<br />
// set  volume-<br />
document.getElementById("volume_down").onclick=function(){<br />
audio.volume-=0.2;<br />
console.log("volume-0.2");<br />
};<br />
//  set  volume+<br />
document.getElementById("volume_up").onclick=function(){<br />
audio.volume+=0.2;<br />
console.log("volume+0.2");<br />
};<br />
//  get  volume<br />
document.getElementById("get_volume").onclick=function(){<br />
console.log("audio.volume:  "+audio.volume);<br />
};<br />
// get  src<br />
document.getElementById("get_src").onclick=function(){<br />
console.log("audio.src:  "+audio.src);<br />
};<br />
// set  src_music1<br />
document.getElementById("play_music1").onclick=function(){<br />
audio.src="./media/music1.mp3";<br />
updateSrc();<br />
updateCurrentSrc();<br />
console.log("play  music1");<br />
};<br />
// set  src_music2<br />
document.getElementById("play_music2").onclick=function(){<br />
audio.src="./media/music2.mp3";<br />
updateSrc();<br />
updateCurrentSrc();<br />
console.log("play  music2");<br />
};<br />
// set  remove_music<br />
document.getElementById("remove_music").onclick=function(){<br />
audio.src="";<br />
console.log("remove  music");<br />
};<br />
// get  currentSrc<br />
document.getElementById("get_current_src").onclick=function(){<br />
console.log("audio.currentSrc:  "+audio.currentSrc);<br />
};<br />
// get  initialTime<br />
document.getElementById("get_initial_time").onclick=function(){<br />
console.log("audio.initialTime:  "+audio.initialTime);<br />
};<br />
// get  duration<br />
document.getElementById("get_duration").onclick=function(){<br />
console.log("audio.duration:  "+audio.duration);<br />
};<br />
// get  seeking<br />
document.getElementById("get_seeking").onclick=function(){<br />
console.log("audio.seeking:  "+audio.seeking);<br />
};<br />
// set  currentTime<br />
document.getElementById("jump_to").onclick=function(){<br />
audio.currentTime=30;<br />
console.log("jumpTo  30s");<br />
};<br />
// get  currentTime<br />
document.getElementById("get_current_time").onclick=function(){<br />
console.log("audio.currentTime:  "+audio.currentTime);<br />
};<br />
// get  played<br />
document.getElementById("get_played").onclick=function(){<br />
console.log("audio.played:");<br />
var  ranges=audio.played;<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
console.log("("+ranges.start(i)+","+ranges.end(i)+")");<br />
}<br />
};<br />
//  autoplay  on<br />
document.getElementById("autoplay_on").onclick=function(){<br />
audio.autoplay=true;<br />
updateAutoplay();<br />
console.log("autoplay  on");<br />
};<br />
// autoplay  off<br />
document.getElementById("autoplay_off").onclick=function(){<br />
audio.autoplay=false;<br />
updateAutoplay();<br />
console.log("autoplay  off");<br />
};<br />
// get  autoplay<br />
document.getElementById("get_autoplay").onclick=function(){<br />
console.log("audio.autoplay:  "+audio.autoplay);<br />
};<br />
// controls  show<br />
document.getElementById("controls_show").onclick=function(){<br />
audio.controls=true;<br />
updateControls();<br />
console.log("controls  show");<br />
};<br />
// controls  hide<br />
document.getElementById("controls_hide").onclick=function(){<br />
audio.controls=false;<br />
updateControls();<br />
console.log("controls  hide");<br />
};<br />
// get  controls<br />
document.getElementById("get_controls").onclick=function(){<br />
console.log("audio.controls:  "+audio.controls);<br />
};<br />
// loop  on<br />
document.getElementById("loop_on").onclick=function(){<br />
audio.loop=true;<br />
updateLoop();<br />
console.log("loop  on");<br />
};<br />
// loop  off<br />
document.getElementById("loop_off").onclick=function(){<br />
audio.loop=false;<br />
updateLoop();<br />
console.log("loop  off");<br />
};<br />
// get  loop<br />
document.getElementById("get_loop").onclick=function(){<br />
console.log("audio.loop:  "+audio.loop);<br />
};<br />
// preload  metadata<br />
document.getElementById("preload_metadata").onclick=function(){<br />
audio.preload="metadata";<br />
updatePreload();<br />
console.log("preload  metadata");<br />
};<br />
// get  preload<br />
document.getElementById("get_preload").onclick=function(){<br />
console.log("audio.preload:  "+audio.preload);<br />
};<br />
// get  defaultMuted<br />
document.getElementById("get_default_muted").onclick=function(){<br />
console.log("audio.defaultMuted:  "+audio.defaultMuted);<br />
};<br />
//  mute<br />
document.getElementById("mute").onclick=function(){<br />
audio.muted=true;<br />
updateMuted();<br />
console.log("audio  mute");<br />
};<br />
//  unmute<br />
document.getElementById("unmute").onclick=function(){<br />
audio.muted=false;<br />
updateMuted();<br />
console.log("audio  unmute");<br />
};<br />
// get  muted<br />
document.getElementById("get_muted").onclick=function(){<br />
console.log("audio.muted:  "+audio.muted);<br />
};<br />
// get  defaultPlaybackRate<br />
document.getElementById("get_default_playback_rate").onclick=function(){<br />
console.log("audio.defaultPlaybackRate:  "+audio.defaultPlaybackRate);<br />
};<br />
// set  playbackRate-<br />
document.getElementById("playback_rate_down").onclick=function(){<br />
audio.playbackRate-=0.2;<br />
console.log("playbackRate-0.2");<br />
};<br />
//  set  playbackRate+<br />
document.getElementById("playback_rate_up").onclick=function(){<br />
audio.playbackRate+=0.2;<br />
console.log("playbackRate+0.2");<br />
};<br />
//  get  playbackRate<br />
document.getElementById("get_playback_rate").onclick=function(){<br />
console.log("audio.playbackRate:  "+audio.playbackRate);<br />
};<br />
// get  networkState<br />
document.getElementById("get_network_state").onclick=function(){<br />
console.log("audio.networkState:  "+audio.networkState);<br />
};<br />
// get  readyState<br />
document.getElementById("get_ready_state").onclick=function(){<br />
console.log("audio.readyState:  "+audio.readyState);<br />
};<br />
// get  buffered<br />
document.getElementById("get_buffered").onclick=function(){<br />
console.log("audio.buffered:");<br />
var  ranges=audio.buffered;<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
console.log("("+ranges.start(i)+","+ranges.end(i)+")");<br />
}<br />
};<br />
//  get  seekable<br />
document.getElementById("get_seekable").onclick=function(){<br />
console.log("audio.seekable:");<br />
var  ranges=audio.seekable;<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
console.log("("+ranges.start(i)+","+ranges.end(i)+")");<br />
}<br />
};</p>
<p>//  DOM events</p>
<p>//  abort<br />
audio.addEventListener("abort",function(){<br />
console.log("event:abort");<br />
});<br />
//  canplay<br />
audio.addEventListener("canplay",function(){<br />
console.log("event:canplay");<br />
});<br />
//  canplaythrough<br />
audio.addEventListener("canplaythrough",function(){<br />
console.log("event:canplaythrough");<br />
});<br />
//  durationchange<br />
audio.addEventListener("durationchange",function(){<br />
updateDuration();<br />
console.log("event:durationchange");<br />
});<br />
//  emptied<br />
audio.addEventListener("emptied",function(){<br />
updateSrc();<br />
updateCurrentSrc();<br />
updateDuration();<br />
updatePaused();<br />
updateNetworkState();<br />
updateReadyState();<br />
updateBuffered();<br />
updateSeekable();<br />
updatePlayed();<br />
console.log("event:emptied");<br />
});<br />
//  ended<br />
audio.addEventListener("ended",function(){<br />
updateEnded();<br />
console.log("event:ended");<br />
});<br />
//  loadeddata<br />
audio.addEventListener("loadeddata",function(){<br />
updateNetworkState();<br />
updateReadyState();<br />
updateBuffered();<br />
updateSeekable();<br />
console.log("event:loadeddata");<br />
});<br />
//  loadedmetadata<br />
audio.addEventListener("loadedmetadata",function(){<br />
console.log("event:loadedmetadata");<br />
});<br />
//  loadstart<br />
audio.addEventListener("loadstart",function(){<br />
console.log("event:loadstart");<br />
});<br />
//  pause<br />
audio.addEventListener("pause",function(){<br />
updatePaused();<br />
console.log("event:pause");<br />
});<br />
//  play<br />
audio.addEventListener("play",function(){<br />
updatePaused();<br />
console.log("event:play");<br />
});<br />
//  playing<br />
audio.addEventListener("playing",function(){<br />
console.log("event:playing");<br />
});<br />
//  progress<br />
audio.addEventListener("progress",function(){<br />
updateNetworkState();<br />
updateReadyState();<br />
updateBuffered();<br />
updateSeekable();<br />
console.log("event:progress");<br />
});<br />
//  ratechange<br />
audio.addEventListener("ratechange",function(){<br />
updatePlaybackRate();<br />
console.log("event:ratechange");<br />
});<br />
//  seeked<br />
audio.addEventListener("seeked",function(){<br />
console.log("event:seeked");<br />
});<br />
//  seeking<br />
audio.addEventListener("seeking",function(){<br />
console.log("event:seeking");<br />
});<br />
//  stalled<br />
audio.addEventListener("stalled",function(){<br />
console.log("event:stalled");<br />
});<br />
//  suspend<br />
audio.addEventListener("suspend",function(){<br />
console.log("event:suspend");<br />
});<br />
//  timeupdate<br />
audio.addEventListener("timeupdate",function(){<br />
updateCurrentTime();<br />
updateEnded();<br />
updatePlayed();<br />
console.log("event:timeupdate");<br />
});<br />
//  volumechange<br />
audio.addEventListener("volumechange",function(){<br />
updateVolume();<br />
console.log("event:volumechange");<br />
});<br />
//  waiting<br />
audio.addEventListener("waiting",function(){<br />
console.log("event:waiting");<br />
});<br />
updateAutoplay();<br />
updateControls();<br />
updateDefaultMuted();<br />
updateDefaultPlaybackRate();<br />
updateLoop();<br />
updatePreload();<br />
updateSrc();<br />
updateCurrentSrc();<br />
updateDuration();<br />
updateCurrentTime();<br />
updateVolume();<br />
updatePaused();<br />
updateMuted();<br />
updateEnded();<br />
updatePlaybackRate();<br />
updateNetworkState();<br />
updateReadyState();<br />
updateBuffered();<br />
updateSeekable();<br />
updatePlayed();<br />
updateError();<br />
};<br />
//  functions to update info table<br />
// autoplay<br />
function  updateAutoplay(){<br />
document.getElementById("autoplay").innerHTML=audio.autoplay;<br />
}<br />
//  controls<br />
function  updateControls(){<br />
document.getElementById("controls").innerHTML=audio.controls;<br />
}<br />
//  defaultMuted<br />
function  updateDefaultMuted(){<br />
document.getElementById("default_muted").innerHTML=audio.defaultMuted;<br />
}<br />
//  defaultPlaybackRate<br />
function  updateDefaultPlaybackRate(){<br />
document.getElementById("default_playback_rate").innerHTML=audio.defaultPlaybackRate;<br />
}<br />
//  loop<br />
function  updateLoop(){<br />
document.getElementById("loop").innerHTML=audio.loop;<br />
}<br />
//  preload<br />
function  updatePreload(){<br />
document.getElementById("preload").innerHTML=audio.preload;<br />
}<br />
//  src<br />
function  updateSrc(){<br />
document.getElementById("src").innerHTML=audio.src;<br />
}<br />
//  currentSrc<br />
function  updateCurrentSrc(){<br />
document.getElementById("current_src").innerHTML=audio.currentSrc;<br />
}<br />
//  duration<br />
function  updateDuration(){<br />
document.getElementById("duration").innerHTML=audio.duration;<br />
}<br />
//  currentTime<br />
function  updateCurrentTime(){<br />
document.getElementById("current_time").innerHTML=audio.currentTime;<br />
}<br />
//  ended<br />
function  updateEnded(){<br />
document.getElementById("ended").innerHTML=audio.ended;<br />
}<br />
//  paused<br />
function  updatePaused(){<br />
document.getElementById("paused").innerHTML=audio.paused;<br />
}<br />
//  muted<br />
function  updateMuted(){<br />
document.getElementById("muted").innerHTML=audio.muted;<br />
}<br />
//  volume<br />
function  updateVolume(){<br />
document.getElementById("volume").innerHTML=audio.volume;<br />
}<br />
//  playbackRate<br />
function  updatePlaybackRate(){<br />
document.getElementById("playback_rate").innerHTML=audio.playbackRate;<br />
}<br />
//  networkState<br />
function  updateNetworkState(){<br />
document.getElementById("network_state").innerHTML=audio.networkState;<br />
}<br />
//  readyState<br />
function  updateReadyState(){<br />
document.getElementById("ready_state").innerHTML=audio.readyState;<br />
}<br />
//  buffered<br />
function updateBuffered(){<br />
var ranges=audio.buffered;<br />
var  str="";<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
str+="("+ranges.start(i)+","+ranges.end(i)+")";<br />
if(i!=n-1){<br />
str+="<br />
";<br />
}<br />
}<br />
document.getElementById("buffered").innerHTML=str;<br />
}<br />
//  seekable<br />
function updateSeekable(){<br />
var ranges=audio.seekable;<br />
var  str="";<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
str+="("+ranges.start(i)+","+ranges.end(i)+")";<br />
if(i!=n-1){<br />
str+="<br />
";<br />
}<br />
}<br />
document.getElementById("seekable").innerHTML=str;<br />
}<br />
//  played<br />
function updatePlayed(){<br />
var ranges=audio.played;<br />
var  str="";<br />
var n=ranges.length;<br />
for(var  i=0;i&lt;n;i++){<br />
str+="("+ranges.start(i)+","+ranges.end(i)+")";<br />
if(i!=n-1){<br />
str+="<br />
";<br />
}<br />
}<br />
document.getElementById("played").innerHTML=str;<br />
}<br />
//  error<br />
function  updateError(){<br />
document.getElementById("error").innerHTML=audio.error;<br />
}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 11:01:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/function/" title="function">function</a>, <a href="https://www.iamivan.net/tag/document/" title="document">document</a>, <a href="https://www.iamivan.net/tag/console/" title="console">console</a>, <a href="https://www.iamivan.net/tag/getelementbyid/" title="getelementbyid">getelementbyid</a>, <a href="https://www.iamivan.net/tag/audio/" title="audio">audio</a>, <a href="https://www.iamivan.net/tag/onclick/" title="onclick">onclick</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e4%bb%a3%e7%a0%81audio/" title="源代码audio">源代码audio</a>, <a href="https://www.iamivan.net/tag/html5-onclick/" title="html5 onclick">html5 onclick</a>, <a href="https://www.iamivan.net/tag/play/" title="play">play</a>, <a href="https://www.iamivan.net/tag/volume-table/" title="volume table">volume table</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>html5中 media（播放器）的api使用指南的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLYwWz.html" rel="bookmark">在网页中插入播放器的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				插入|网页 在页面中插入播放器插入Windows Media Player: ID:6BF52A52-394A-11d3-B153-00C04F79FAA6 插入real:&lt;object id=&quot;RAOCX&quot; classid=&quot;clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA\&gt; ----------例子--------------- &lt;object id=&quot;MediaPlayer&quot; height=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA31Lb.html" rel="bookmark">在C&num;程序中嵌套播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天写程序,需要在页面中嵌套播放器,用来播放服务器上的视频文件.本 来想使用GridView控件的中提供的HyperLinkField子控件,但是实验了几次发现 这个子控件调用播放器不行,只能调用网页和文件 例如,我以前写过的 http://www.cnblogs.com/liulanglang/archive/2007/06/16/785411.html 属性设置: 1.调用服务器上文件夹里面的文件 DataNavigateUrlFields=&quot;LunWBT&quot; DataNavigat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDwkG0p.html" rel="bookmark">jsp中音乐播放器如何编写？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp中音乐播放器如何编写(包含相应的音乐列表)越全越好!!请帮忙甚是感谢!!!!! 解决方案 解决方案二:没写过,mark,关注解决方案三:为什么要自己写个播放器啊?调用本地音乐播放插件不挺好?比如WMP用WMP建立一个音乐播放列表,导出为wpl文件&lt;EMBEDsrc=&quot;x.wpl&quot;autostart=&quot;true&quot;loop=&quot;2&quot;width=300height=100&gt;&lt;/EMBED&gt;浏览器不就自动调用WMP来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Wrjgz.html" rel="bookmark">如何用ASP代码实现网页中的播放器的控制按钮</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请各位大侠,帮个忙,小MM做毕业设计遇到问题,如何用ASP代码实现网页中的播放器的控制按钮.谁能提供代码给小M我,请加QQ或者在论坛留言,感激............ 解决方案 解决方案二:播放器的按钮一般都是用js控制的解决方案三:不会asp学习~			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6vYjz.html" rel="bookmark">PowerPoint2003中WMP播放器控件的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  ①打开PowerPoint2003,单击菜单栏--视图--工具栏--控件工具箱. ②单击其他控件,找到Windows Media Player. ③选中,在页面上画出来. ④右击播放器,选择属性. ⑤在URL中填入地址即可播放了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0OKdp.html" rel="bookmark">网上比较常用的嵌入网页中的播放器代码收藏&lowbar;网页播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例如:网络上最流行的windows media流(asf,wma,wmv格式...),Real流(rm,rmvb...),还有MPEG系列编码格式(MP4/MP3格式...) Windows Media Video 是微软推出的一种流媒体格式,它是在&quot;同门&quot;的ASF(Advanced Stream Format)格式升级延伸来得.在同等视频质量下,WMV格式的体积非常小,因此很适合在网上播放和传输.Windows Media Player9兼容所有格式的WMV,官方编码器是Window			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKqkap.html" rel="bookmark">C&num;视频监控系列（11）：H264播放器&mdash;&mdash;封装API&lbrack;HikPlayM4&period;dll&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 当你认真的写完客户端和服务器端的时候可能不需要再继续往下看关于播放器的代码和说明,因为你已经掌握了如何转换VC++ 代码的技巧了,加上GOOGLE再来完成这个播放器应该算小菜了.但是作为我的系列,我还是有必要认真的将这部分写完才算完整,和前面一样 ,先贴封装好的API. 正文 HikPlayM4.dll源码见附件 结束 和前面一样注意API可能存在误差,随后的文章将保持本文的更新!! 附件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6YkEz.html" rel="bookmark">仿酷狗html5手机音乐播放器主要部分代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  HTML5作品,经测试,效果确定不错,遗憾的是只支持谷歌和苹果等以webkit核心的浏览器,网友体验的时候请使用谷歌等浏览器来运行,不然的话无法看到效果,不说了,看效果吧 复制代码 代码如下: 主要部分代码如下: function ZzxMusic(){ var aa={}; //模块设置 var setting = { newSong:{'target':'newSong','type':'1','firstCount':6,'Count':5}, songCharts:{'target'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWRAGz.html" rel="bookmark">网页中Flash播放器常用参数设置&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们现在大部分人做网页,都是直接用DW插入flash,而且DW也是所见即所得,直接生成了相应的flash显示代码.可是我们又有多少人了解这些直接由DW生成的代码呢?其实我接触flash player标签,是在刚学习html的时候,那时书中插入flash只有最简单的&lt;embed src=&quot;&quot; width=&quot;&quot; height=&quot;&quot;&gt;&lt;/embed&gt;一句,而且在很长一段时间里,只要网页中插入flash我也都是这样写的,当时认为,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYWl9b.html" rel="bookmark">实例解析iOS中音乐播放器应用开发的基本要点&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.调整项目的结构,导入必要的素材 调整后的项目结构如下: 二.新建两个控制器(1)新建一个控制器,用于展示音乐文件列表界面,其继承自UITableViewController (2)新建一个控制器,用于展示播放界面,其继承自UIViewController (3)在storyboard中,把之前的控制器删除,换上一个导航控制器,设置tableViewController与之前新建的控制器类进行关联 三.音乐文件列表控制器中基本界面的搭建(1)新建一个音乐文件的模型 根据plist文件建立模型:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlKjRb.html" rel="bookmark" class="title">CentOS7安装MySQL冲突和问题解决小结</a>
					<div>
						问题1: [root@localhost install-files]# rpm -ivh MySQL-server-5.6.27-1.el6.x86_64.rpm Preparing...      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqArb.html" rel="bookmark" class="title">HTML 初学者指南&lpar;3&rpar;</a>
					<div>
						初学 列表ListsHTML 支持不编号 unnumbered, 编号numbered, 和定义definition 三种列表. 你也可以嵌套列表, 但是不要嵌套过多,否则会使读者感到不清晰. 不编号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB5LNz.html" rel="bookmark" class="title">点评一下目前国内各站长类网站发展现状</a>
					<div>
						一夜之间,网络突然冒出很多站长相关的网站,而且似乎增加的很快很快.对雨后春笋的个人站长,个人博客是非常好的事情,但是也似乎孕育着新的危机.这些投入了大量的人力物力的站长相关的网站,有没有前途,是在分割 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Dmkb.html" rel="bookmark" class="title">如何自行解决Oracle的技术问题&quest;</a>
					<div>
						oracle|解决|问题 很多时候,大多数IT类的技术问题完全可以自行去解决它,相对于答案来说,我们更需要一个方法．下面就一个例子来说说一些Oracle问题的解决途径(途径?如果可以这么说的话). 问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy5A4M.html" rel="bookmark" class="title">C&num; 编程语言的未来功能</a>
					<div>
						编程 C# 编程语言的未来功能 Prashant SridharanMicrosoft Corporation 2003年3月 适用于:   Microsoft Visual C#(TM) 摘要:Mi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbajNQM.html" rel="bookmark" class="title">新手必须知道的的六个Excel实用技巧</a>
					<div>
						EXCEL作为表格处理工具功能非常强大,但是对于新手们想用的又快又好却并不简单.为此,我总结了平时自己积累的一些比较实用的技巧和经验,希望对大家有所帮助. 按关键字筛选 大家肯定都有过这样的体会,要从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKJeOM.html" rel="bookmark" class="title">Symbian学习总结-基础篇-Symbian C&plus;&plus;中的异常处理</a>
					<div>
						在现代高级语言中,大多数语言都有对应处理异常的关键字,如:C++中的try/catch,Delphi中的Try/Except/Finally,这些关键字都被编译器直接的支持. 但是,当Symbian  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Zklp.html" rel="bookmark" class="title">Merlin的魔力&colon; Merlin的新I&sol;O缓冲区的输入和输出</a>
					<div>
						Java 2 平台标准版(Java 2 Platform Standard Edition,J2SE)1.4 对 Java 平台的 I/O 处理能力做了大量更改.它不仅用流到流的链接方式继续支持以前  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2QjrM.html" rel="bookmark" class="title">删除Win8系统中同步到云端个人设置的方法</a>
					<div>
						删除Windows8系统中同步到云端个人设置的方法: 1.从屏幕右边缘轻扫而过,点击设置,然后点击更多电脑设置.(如果你使用的是鼠标,请指向屏幕右上角,单击设置,然后单击更多电脑设置.) 2.同步你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NOg7z.html" rel="bookmark" class="title">Win7系统安装不了IE10的原因以及解决方法</a>
					<div>
						由于目前微软还没有开始向Windows 7用户推送IE10的升级补丁,想要立即体验IE10的用户仅能通过手动下载IE10安装包进行升级,但有些用户在下载后却无法正常安装,无法安装成功的原因有很多因素, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z724Dqp.html" rel="bookmark" class="title">最快速开启U盘自动播放</a>
					<div>
						  由于病毒或者认为的原因,我们插入优盘的时候不再提示自动播放窗口,怎么样重新开启呢?下面教你最快速的方法: 首先我们打开开始菜单,找到搜索框. 在搜索框中输入自动播放. 得到搜索结果,选择自动播放. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8lm3b.html" rel="bookmark" class="title">开始的惆怅</a>
					<div>
						问题描述 我在一家公司做实习,做的Cobol(一个未接触过的语言)开发,表现的还不错,努力得到了leader和经理的肯定,转进了试用期--可是,整天的coding和单体测试,让我有时感觉挺乏味的.我在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3YDb.html" rel="bookmark" class="title">Html5 中的环形进度条</a>
					<div>
						问题描述 Html5 中的环形进度条 有谁做过的吗? 求帮忙! 环形一定要是多种颜色的 解决方案 http://www.2cto.com/kf/201504/390770.htmlhttp://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXgAGp.html" rel="bookmark" class="title">javascript键盘事件全面控制脚本代码&lowbar;javascript技巧</a>
					<div>
						Keyboard Event Handler Lab onKeyDown onKeyPress onKeyUp Key Codes 0 0 0 Char Codes (IE5/Mac; NN6) 0  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qaxnp.html" rel="bookmark" class="title">TokuDB &CenterDot; 让Hot Backup更完美</a>
					<div>
						很久很久以前,内核君发表了一篇HA方案·TokuDB热备的文章,方法很简单: 1) SET TOKUDB_CHECKPOINT_LOCK=ON; 2) 开始拷贝TokuDB的数据文件(不包含日志文件) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7LVnz.html" rel="bookmark" class="title">Windows Server 2008修复系统事件查看器4201错误</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   Windows Server 2008修复系统事件查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqg8Kb.html" rel="bookmark" class="title">FlashMax安装驱动</a>
					<div>
						1)  Stop all the users of the HGST FlashMAX II/III drive. 2)  Remove the previous RPM/PKG's after St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWOKrp.html" rel="bookmark" class="title">安卓 运行底层-关于安卓的art和dalvik模式的问题</a>
					<div>
						问题描述 关于安卓的art和dalvik模式的问题 安息5.0及以上的版本都实现了使用art运行模式,百度上面也有一些答案,但找不到我想要的.art是在安装APP的时候就预编译成机器码,那么这个编译好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKBKDb.html" rel="bookmark" class="title">移动终端的特性是什么？</a>
					<div>
						问题描述 移动终端的特性是什么? 招聘信息中要求了解移动终端的特性及解决方案,不太清楚特性是指的哪方面? 解决方案 假设你说的是指UI/UX方面的问题,那么和PC相比,移动终端的特点包括:屏幕尺寸和分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKwLKz.html" rel="bookmark" class="title">并发-HDFS能支持异步IO写来利用分布式的好处吗？</a>
					<div>
						问题描述 HDFS能支持异步IO写来利用分布式的好处吗? 一个程序,可能同时打开几千甚至上万个文件写到HDFS文件系统里面,如果顺序来写的话,完全无法得到分布式文件系统的好处.但我没看到HDFS AP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW7Anz.html" rel="bookmark" class="title">请教关于compass关联的一对多更新索引问题</a>
					<div>
						问题描述 我现在更新数据库后普通字段可以更新,但是关联的一对多关系无法更新怎么办?是哪里需要配置吗?? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z7Amz.html" rel="bookmark" class="title">360推出4&period;0版 应用精彩皮肤精美</a>
					<div>
						近日,360安全浏览器推出最新的4.0测试版--全新的图标设计,更动感的交互体验,应用盒子中150余款精彩应用,以及上百款精美皮肤. 更简洁大气的图标设计 全新的图标设计相比之前更富有逻辑性,默认皮肤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBAk8b.html" rel="bookmark" class="title">RHEL5系列更换epel源</a>
					<div>
						wget http://download.fedoraproject.org/pub/epel/5/i386/epel-release-5-4.noarch.rpmrpm -ivh epel-rele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLJ6Wp.html" rel="bookmark" class="title">优化内页排名策略 实现逐个排名效果</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 对于网站优化来说,最为基础 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwK65M.html" rel="bookmark" class="title">使用 MyBatis 必看两篇文档导读：MyBatis 与 MyBatis-Spring</a>
					<div>
						使用 MyBatis 必看两篇文档导读:MyBatis 与 MyBatis-Spring 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnqGWM.html" rel="bookmark" class="title">斯诺登连线纽约黑客大会 呼吁开发反监控技术</a>
					<div>
						斯诺登连线纽约黑客大会 呼吁开发反监控技术 腾讯科技讯 小贝 7月20日报道,前美国情报机构雇员爱德华·斯诺登(Edward Snowden)日前通过视频连线黑客大会,呼吁与会黑客开发简单易用的反监控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkKA8M.html" rel="bookmark" class="title">IDE、SATA、SCSI、SAS、iSCSI</a>
					<div>
						IDE是并口硬盘,(5400-7200转): SATA是串口硬盘,(7200转): SCSI是服务器硬盘,(60.80针,10000转). 硬盘的传输速率:作为电脑中最重要的数据存储设备和数据交换媒介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLy68M.html" rel="bookmark" class="title">oracle查询空值问题？</a>
					<div>
						问题描述 两表用join的方式,根据某个字段相等a=b条件查询,当a和b都是空值时查询结果中是不出现的,如何能在查询时把空值的情况也当做相等的条件一起查出来? 问题补充:nvl是可以的,我指的不转化就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYnLrb.html" rel="bookmark" class="title">Node&period;js的MongoDB驱动Mongoose基本使用教程&lowbar;node&period;js</a>
					<div>
						使用mongoose可以让我们更好使用mongodb数据库,而不需要写繁琐的业务逻辑. 安装 npm install mongoose 初始化使用使用mongoose前,需安装node和mongodb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Ogwb.html" rel="bookmark" class="title">u盘文件删除怎么恢复？u盘文件删除恢复方法</a>
					<div>
						1.因为正常情况下U盘被删除的文件找不到了,我们这里介绍利用工具,去百度搜索&quot;u盘文件恢复工具加破解版&quot;下载并安装在你电脑中. 2. 现在我们先作个测试,把U盘的文件直接删除了,然 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
